Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225793 - Merge Review: gftp
Summary: Merge Review: gftp
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tyler Owen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:43 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-31 14:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-31 14:41:06 UTC
tyler.l.owen: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:43:12 UTC
Fedora Merge Review: gftp

http://cvs.fedora.redhat.com/viewcvs/devel/gftp/
Initial Owner: caillon@redhat.com

Comment 1 Tyler Owen 2008-01-13 14:53:18 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
FIX - Spec has consistant macro usage.
        Don't use %makeinstall macro
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
44b19442d06f6dc68c7211d66029d826  gftp-2.0.18.tar.bz2
44b19442d06f6dc68c7211d66029d826  gftp-2.0.18.tar.bz2.1

OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.

OK - Package is a GUI app and has a .desktop file
        should change vendor to fedora

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
FIX - No rpmlint output.
        see issue #1

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. SRPM: 
        gftp.src: E: non-utf8-spec-file
/tmp/gftp-2.0.18-1.fc9.src.rpm.7432/gftp.spec
        - The character encoding of the spec file is not UTF-8.  Convert it for
          example using iconv(1).

        gftp.src:142: W: macro-in-%changelog prefix
         - in changelog entries use %% instead of %

        gftp.src: W: mixed-use-of-spaces-and-tabs (spaces: line 55, tab: line 57)
        - Fix if you like

        gftp.src: E: tag-not-utf8 %changelog
        - The character encoding of the value of this tag is not UTF-8.


   RPM:
        gftp.i386: W: incoherent-version-in-changelog 1:2.0.18-1 2:2.0.18-1.fc9
        - The last entry in %changelog contains a version identifier that is not
          coherent with the epoch:version-release tuple of the package. 
        - Since this package has the history it does it is not possible to fix this

        gftp.i386: E: tag-not-utf8 %changelog
        - The character encoding of the value of this tag is not UTF-8.

2. Do not use %makeinstall macro


Comment 2 Christopher Aillon 2008-01-30 22:20:48 UTC
ok, try again using the cvs copy.

Comment 3 Tyler Owen 2008-01-31 14:41:06 UTC
Looks good.

APPROVED

All issues fixed, Closing out this Merge Review


Note You need to log in before you can comment on or make changes to this bug.